Index: trunk/DataCheck/Transfer/ZipRawData.sh
===================================================================
--- trunk/DataCheck/Transfer/ZipRawData.sh	(revision 13038)
+++ trunk/DataCheck/Transfer/ZipRawData.sh	(revision 13038)
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# this script has been written to run on La Palma on the machine data
+#   i.e. paths are only working on this machine
+
+source `dirname $0`/Sourcefile.sh
+printprocesslog "INFO starting "$0
+
+logfile=$runlogpath"/ZipRawLP-"$datetime".log"
+date >> $logfile
+
+# get last 3 nights
+dates=( `date +%Y/%m/%d --date="-12hour"` `date +%Y/%m/%d --date="-36hour"` `date +%Y/%m/%d --date="-60hour"` )
+
+# time rawfile is untouched before further processing (i.e. adding checksum and zipping)
+delaytime=30 #30 minutes
+
+# setup to use ftools
+source $HEADAS/headas-init.sh
+
+# do rsync for rawfiles of these dates
+for date in ${dates[@]}
+do 
+   echo "" >> $logfile 2>&1
+   rawdir=/loc_data/raw/$date
+   echo `date`": processing files in "$rawdir >> $logfile 2>&1
+   printprocesslog "INFO processing files in "$rawdir
+   # check if data are available from that night
+   if ! [ -d $rawdir ]
+   then
+      echo `date`": no data available in "$rawdir >> $logfile 2>&1
+      printprocesslog "INFO no data available in "$rawdir
+      continue
+   fi
+   zipdir=/loc_data/zipraw/$date
+   if ! [ -d $zipdir ]
+   then
+      # create output directory for zip
+      makedir $zipdir >> $logfile 2>&1
+   fi
+
+   # find all fits-files starting with the oldest file
+   echo `date`": finding files to be zipped in $rawdir..." >> $logfile 2>&1
+   printprocesslog "INFO finding files to be zipped in "$rawdir"..."
+   fitsfiles=`find $rawdir -type f -name '*fits'| sort `
+
+   if [ ${#fitsfiles[@]} -eq 0 ]
+   then
+      echo `date`": no files to be zipped in $rawdir..." >> $logfile 2>&1
+      printprocesslog "INFO no files to be zipped in "$rawdir"..."
+      continue
+   fi
+
+   # loop to zip files
+   echo `date`": zipping files in $rawdir..." >> $logfile 2>&1
+   printprocesslog "INFO zipping files in "$rawdir"..."
+   for file in $fitsfiles
+   do
+      # filename for temporary and final zipfile
+      zipfile=`echo $file | sed -e 's/raw/zipraw/' -e 's/fits/fits.gz/'`
+      zipfiletmp=`echo $file | sed -e 's/raw/zipraw/' -e 's/fits/fits.tmp.gz/'`
+      # check if zipped file already exists
+      if [ -e $zipfile ]
+      then
+         continue
+      fi
+
+      # check if raw file was accessed in the last $delaytime minutes
+      isnew=`find $file -amin -$delaytime`
+      if [ "$isnew" != "" ]
+      then
+         echo $file" is not older than $delaytime min => continue" >> $logfile 2>&1
+         printprocesslog "INFO "$file" is not older than $delaytime min => continue"
+         continue
+      fi
+
+      # check if file is already finished
+      # original file on daq (if data was taken on daq
+      origfile=`echo $file | sed -e 's/loc_data/daq/'`
+      if [ -e $origfile ]
+      then
+         # get time of last modification as seconds since Epoch for both files
+         timeorig=`stat -c %Y $origfile`
+         timecopy=`stat -c %Y $file`
+         # compare times
+         if ! [ $timeorig -eq $timecopy ]
+         then
+            # if times are not the same, the file is still open => no zip
+            echo `date`": file "$file" not yet closed => continue" >> $logfile 2>&1
+            printprocesslog "WARN file "$file" not yet closed => continue"
+            continue
+         fi
+      else
+         # if the origfile doesn't exist, the data was probably written not on daq but on data
+         echo `date`": file "$file" was probably taken on data and not daq " >> $logfile 2>&1
+         printprocesslog "WARN file "$file" was probably taken on data and not daq "
+      fi
+
+#      # update the raw file with the checksums
+#      ftchecksum update=yes $file >> $logfile 2>&1
+#      check=$?
+#      if [ $check -eq 0 ]
+#      then
+#         echo `date`": file "$file" was updated with the checksums " >> $logfile 2>&1
+#      else
+#         echo `date`": problem when updating file "$file" (ftchecksum exited with "$check")" >> $logfile 2>&1
+#         echo `date`": problem when updating file "$file" (ftchecksum exited with "$check")"
+#         continue
+#      fi
+
+      echo `date`": zipping "$file" to "$zipfile" ..." >> $logfile 2>&1
+      printprocesslog "INFO zipping "$file" to "$zipfile" ..."
+      # zip file to stdout and pipe it to outputfile
+      if pigz -1 -c -f $file > $zipfiletmp
+      then
+         # if successful, move temporary to final zipfile
+         printprocesslog "INFO move "$zipfiletmp" to "$zipfile" ..."
+         mv -v $zipfiletmp $zipfile >> $logfile 2>&1
+      else
+         # if not successful, remove temporary zipfile
+         printprocesslog "INFO remove "$zipfiletmp"..."
+         rm -v $zipfiletmp >> $logfile 2>&1
+      fi
+   done
+done
+echo "finished zipping..." >> $logfile 2>&1
+finish
Index: trunk/DataCheck/ZipRawData.sh
===================================================================
--- trunk/DataCheck/ZipRawData.sh	(revision 13037)
+++ 	(revision )
@@ -1,127 +1,0 @@
-#!/bin/bash
-
-# this script has been written to run on La Palma on the machine data
-#   i.e. paths are only working on this machine
-
-source `dirname $0`/Sourcefile.sh
-printprocesslog "INFO starting "$0
-
-logfile=$runlogpath"/ZipRawLP-"$datetime".log"
-date >> $logfile
-
-# get last 3 nights
-dates=( `date +%Y/%m/%d --date="-12hour"` `date +%Y/%m/%d --date="-36hour"` `date +%Y/%m/%d --date="-60hour"` )
-
-# time rawfile is untouched before further processing (i.e. adding checksum and zipping)
-delaytime=30 #30 minutes
-
-# setup to use ftools
-source $HEADAS/headas-init.sh
-
-# do rsync for rawfiles of these dates
-for date in ${dates[@]}
-do 
-   echo "" >> $logfile 2>&1
-   rawdir=/loc_data/raw/$date
-   echo `date`": processing files in "$rawdir >> $logfile 2>&1
-   printprocesslog "INFO processing files in "$rawdir
-   # check if data are available from that night
-   if ! [ -d $rawdir ]
-   then
-      echo `date`": no data available in "$rawdir >> $logfile 2>&1
-      printprocesslog "INFO no data available in "$rawdir
-      continue
-   fi
-   zipdir=/loc_data/zipraw/$date
-   if ! [ -d $zipdir ]
-   then
-      # create output directory for zip
-      makedir $zipdir >> $logfile 2>&1
-   fi
-
-   # find all fits-files starting with the oldest file
-   echo `date`": finding files to be zipped in $rawdir..." >> $logfile 2>&1
-   printprocesslog "INFO finding files to be zipped in "$rawdir"..."
-   fitsfiles=`find $rawdir -type f -name '*fits'| sort `
-
-   if [ ${#fitsfiles[@]} -eq 0 ]
-   then
-      echo `date`": no files to be zipped in $rawdir..." >> $logfile 2>&1
-      printprocesslog "INFO no files to be zipped in "$rawdir"..."
-      continue
-   fi
-
-   # loop to zip files
-   echo `date`": zipping files in $rawdir..." >> $logfile 2>&1
-   printprocesslog "INFO zipping files in "$rawdir"..."
-   for file in $fitsfiles
-   do
-      # filename for temporary and final zipfile
-      zipfile=`echo $file | sed -e 's/raw/zipraw/' -e 's/fits/fits.gz/'`
-      zipfiletmp=`echo $file | sed -e 's/raw/zipraw/' -e 's/fits/fits.tmp.gz/'`
-      # check if zipped file already exists
-      if [ -e $zipfile ]
-      then
-         continue
-      fi
-
-      # check if raw file was accessed in the last $delaytime minutes
-      isnew=`find $file -amin -$delaytime`
-      if [ "$isnew" != "" ]
-      then
-         echo $file" is not older than $delaytime min => continue" >> $logfile 2>&1
-         printprocesslog "INFO "$file" is not older than $delaytime min => continue"
-         continue
-      fi
-
-      # check if file is already finished
-      # original file on daq (if data was taken on daq
-      origfile=`echo $file | sed -e 's/loc_data/daq/'`
-      if [ -e $origfile ]
-      then
-         # get time of last modification as seconds since Epoch for both files
-         timeorig=`stat -c %Y $origfile`
-         timecopy=`stat -c %Y $file`
-         # compare times
-         if ! [ $timeorig -eq $timecopy ]
-         then
-            # if times are not the same, the file is still open => no zip
-            echo `date`": file "$file" not yet closed => continue" >> $logfile 2>&1
-            printprocesslog "WARN file "$file" not yet closed => continue"
-            continue
-         fi
-      else
-         # if the origfile doesn't exist, the data was probably written not on daq but on data
-         echo `date`": file "$file" was probably taken on data and not daq " >> $logfile 2>&1
-         printprocesslog "WARN file "$file" was probably taken on data and not daq "
-      fi
-
-#      # update the raw file with the checksums
-#      ftchecksum update=yes $file >> $logfile 2>&1
-#      check=$?
-#      if [ $check -eq 0 ]
-#      then
-#         echo `date`": file "$file" was updated with the checksums " >> $logfile 2>&1
-#      else
-#         echo `date`": problem when updating file "$file" (ftchecksum exited with "$check")" >> $logfile 2>&1
-#         echo `date`": problem when updating file "$file" (ftchecksum exited with "$check")"
-#         continue
-#      fi
-
-      echo `date`": zipping "$file" to "$zipfile" ..." >> $logfile 2>&1
-      printprocesslog "INFO zipping "$file" to "$zipfile" ..."
-      # zip file to stdout and pipe it to outputfile
-      if pigz -1 -c -f $file > $zipfiletmp
-      then
-         # if successful, move temporary to final zipfile
-         printprocesslog "INFO move "$zipfiletmp" to "$zipfile" ..."
-         mv -v $zipfiletmp $zipfile >> $logfile 2>&1
-      else
-         # if not successful, remove temporary zipfile
-         printprocesslog "INFO remove "$zipfiletmp"..."
-         rm -v $zipfiletmp >> $logfile 2>&1
-      fi
-   done
-done
-echo "finished zipping..." >> $logfile 2>&1
-finish
